Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

mvapich2-2.0-psm-2.0a-9.el7 RPM for x86_64

From CentOS 7.9.2009 for x86_64 / Packages

Name: mvapich2-2.0-psm Distribution: Unknown
Version: 2.0a Vendor: CentOS
Release: 9.el7 Build date: Wed Oct 31 00:58:45 2018
Group: Development/Libraries Build host: x86-01.bsys.centos.org
Size: 3856034 Source RPM: mvapich2-2.2-4.el7.src.rpm
Packager: CentOS BuildSystem <http://bugs.centos.org>
Url: http://mvapich.cse.ohio-state.edu
Summary: OSU MVAPICH2 MPI package for TrueScale adapters
MVAPICH2 is a Message Passing Interface (MPI 3.0) implementation based on MPICH
and developed by Ohio State University.

This is a version of mvapich2 that uses the Infinipath PSM transport
for TrueScale adapters.

Provides

Requires

License

BSD and MIT

Changelog

* Thu Sep 06 2018 Jarod Wilson <jarod@redhat.com> - 2.2-4
  - Use only --with-pic=yes, see if that's the magic
  - Related: #1625672
* Wed Sep 05 2018 Jarod Wilson <jarod@redhat.com> - 2.2-3
  - Use ./configure --with-pic for even more PIC fixes
  - Related: #1625672
* Wed Sep 05 2018 Jarod Wilson <jarod@redhat.com> - 2.2-2
  - Add further -fPIC fixes
  - Related: #1625672
* Tue Sep 04 2018 Jarod Wilson <jarod@redhat.com> - 2.2-1.5
  - Update mvapich23 (TrueScale) bits to 2.3 release
  - Fix libmpi.a being built w/o -fPIC
  - Resolves: #1625672
* Wed Jun 13 2018 Jarod Wilson <jarod@redhat.com> - 2.2-1.4
  - Update mvapich23 (TrueScale) bits to 2.3rc2
  - Resolves: #1483565
* Thu Jan 18 2018 Michal Schmidt <mschmidt@redhat.com> - 2.2-1.3
  - Rebuild in buildroot with updated RDMA stack.
  - Related: #1452830
* Wed Jan 17 2018 Michal Schmidt <mschmidt@redhat.com> - 2.2-1.2
  - Add a 2.3b build variant for TrueScale: mvapich23-psm.
  - Resolves: #1452830
* Fri Nov 03 2017 Michal Schmidt <mschmidt@redhat.com> - 2.2-1.1
  - Add mvapich2 2.3b as mvapich23 and mvapich23-psm2.
  - Resolves: #1452830
* Mon Mar 27 2017 Michal Schmidt <mschmidt@redhat.com> - 2.2-1
  - Update to 2.2 GA.
  - Related: #1426359
* Mon Aug 08 2016 Michal Schmidt <mschmidt@redhat.com> - 2.2-0.3.rc1
  - Move MPI compiler manpages to -2.2-*devel where the compilers are.
  - Related: #948504
* Fri Jul 01 2016 Michal Schmidt <mschmidt@redhat.com> - 2.2-0.2.rc1
  - Preserve the directory and env module name of mvapich2-2.0.
  - Related: #1093453
* Thu Jun 30 2016 Michal Schmidt <mschmidt@redhat.com> - 2.2-0.1.rc1
  - Update to 2.2rc1
  - Includes -psm2 variant for Intel OPA.
  - Still build the previous version for compatibility, as 2.0 subpackages.
  - Resolves: #948504
  - Resolves: #1093453
  - Resolves: #1173318
* Tue May 20 2014 Kyle McMartin <kmcmarti@redhat.com> - 2.0a-3
  - aarch64: add get_cycles implementation since <asm/timex.h> is not
    an exported header.
  - Resolves: #1100046
* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 2.0a-2
  - Mass rebuild 2013-12-27
* Mon Sep 16 2013 Jay Fenlason <fenlason@redhat.com> 2.0a-1
  - Add Build Requires on autoconf, automake, libtool,
    perl-Digest-MD5, hwloc-devel, and libibmad-devel.
  - remove build requires on java
  - New upstream version, edited so it can pass a license audit.
    Resolves: rhbz1001718
* Mon Aug 19 2013 Jay Fenlason <fenlason@redhat.com> 1.8-3
  - Move the module files to the (correct for RHEL-7) mpi/ directory.
  - Add MANPATH to the module files.
* Wed May 30 2012 Jay Fenlason <fenlason@redhat.com> 1.8-2
  - Add BuildRequires on flex and bison
  - Add "export AR=ar" to allow builds on RHEL-7 to work.
    Resolves: rhbz822527
* Tue Feb 14 2012 Jay Fenlason <fenlason@redhat.com> 1.8-1
  - New upstream version, with man pages again.
    This fixes the following bugs:
    Related: rhbz739138
    Resolves: rhbz613696
    Resolves: rhbz625620
    Resolves: rhbz735954
    Resolves: rhbz782263
* Fri Aug 19 2011 Jay Fenlason <fenlason@redhat.com> 1.6-3.el6
  - Change the requires on mvapich2-psm-devel to mvapich2-psm from mvapich2
    so that mpitests will build
  - clean up the build to not use .{non-}psm directories.
    Related: rhbz725016
* Wed Aug 17 2011 Jay Fenlason <fenlason@redhat.com> 1.6-2.el6
  - Fix the psm RPM macros so that we can build a -psm variant of
    mpitests
  - remove the osu-micro-benchmarks, which are being installed with a
    bogus rpath, and which are included in mpitests
    Related: rhbz725016
* Mon Aug 15 2011 Jay Fenlason <fenlason@redhat.com> 1.6-1.el6
  - New upstream release, with different build process, and without
    man pages, because we don't have the sowing package, and its
    licensing status is unclear (no licence description of any kind in
    the tarball).
    Related: rhbz725016
* Mon Jun 07 2010 Jay Fenlason <fenlason@redhat.com> 1.4-5.el6
  - Forgot the BuildRequires
    Related: rhbz570274
* Mon Jun 07 2010 Jay Fenlason <fenlason@redhat.com>
  - Add support for -psm subpackages on x86_64.
    Related: rhbz570274
* Tue Mar 02 2010 Jay Fenlason <fenlason@redhat.com> 1.4-4.el6
  - Move -devel requires to the -devel subpackage.
    Resolves: bz568450
  - Add defattr as required by packaging guidelines
    Related: bz555835
* Fri Jan 15 2010 Doug Ledford <dledford@redhat.com> - 1.4-3.el6
  - Fix an issue with usage of _cc_name_suffix that caused a broken define in
    our module file
    Related: bz543948
* Fri Jan 15 2010 Jay Fenlason <fenlason@redhat.com> 1.4-2.el6
  - Add BuildRequires: python
  - Add BuildRequires: java
  - Remove the pkgconfig file entirely
    Related: bz543948
* Thu Jan 14 2010 Jay Fenlason <fenlason@redhat.com>
  - Add Group: to -devel
  - Split into subpackages as required by packaging guidelines
  - cleanup BuildRequires
  - attempt to build on ppc
  - cleanup spec file
  - cleanup mvapich2.pc, still not correct, but closer
    Related: bz543948
* Thu Jan 14 2010 Jay Fenlason <fenlason@redhat.com>
  - New EnvironmentModules version for RHEL-6
    Related: bz543948
* Tue Dec 22 2009 Doug Ledford <dledford@redhat.com> - 1.4-1.el5
  - Update to latest upstream version
  - Related: bz518218
* Mon Jun 22 2009 Doug Ledford <dledford@redhat.com> - 1.2-0.p1.3.el5
  - Rebuild against libibverbs that isn't missing the proper ppc wmb() macro
  - Related: bz506258
* Sun Jun 21 2009 Doug Ledford <dledford@redhat.com> - 1.2-0.p1.2.el5
  - Compile against non-XRC libibverbs
  - Related: bz506258
* Wed Apr 22 2009 Doug Ledford <dledford@redhat.com> - 1.2-0.p1.1
  - Update to ofed 1.4.1-rc3 version
  - Related: bz459652
* Thu Oct 16 2008 Doug Ledford <dledford@redhat.com> - 1.0.3-3
  - Make sure MPD_BIN is set in the mpivars files
  - Related: bz466390
* Fri Oct 03 2008 Doug Ledford <dledford@redhat.com> - 1.0.3-2
  - Make scriptlets match mvapich
  - Include a Requires(post) and Requires(preun) so installs work properly
  - Resolves: bz465448
* Thu Sep 18 2008 Doug Ledford <dledford@redhat.com> - 1.0.3-1
  - Initial rhel5 package
  - Resolves: bz451477
* Sun May 04 2008 Jonathan Perkins <perkinjo@cse.ohio-state.edu>
  - Created initial MVAPICH2 1.0.3 SRPM with IB and iWARP support.

Files

/etc/modulefiles/mpi/mvapich2-2.0-psm-x86_64
/etc/modulefiles/mpi/mvapich2-psm-x86_64
/usr/lib64/gfortran/modules/mvapich2-psm-x86_64
/usr/lib64/mvapich2-psm
/usr/lib64/mvapich2-psm/bin
/usr/lib64/mvapich2-psm/bin/hydra_nameserver
/usr/lib64/mvapich2-psm/bin/hydra_persist
/usr/lib64/mvapich2-psm/bin/hydra_pmi_proxy
/usr/lib64/mvapich2-psm/bin/mpichversion
/usr/lib64/mvapich2-psm/bin/mpiexec
/usr/lib64/mvapich2-psm/bin/mpiexec.hydra
/usr/lib64/mvapich2-psm/bin/mpiexec.mpirun_rsh
/usr/lib64/mvapich2-psm/bin/mpiname
/usr/lib64/mvapich2-psm/bin/mpirun
/usr/lib64/mvapich2-psm/bin/mpirun_rsh
/usr/lib64/mvapich2-psm/bin/mpispawn
/usr/lib64/mvapich2-psm/bin/parkill
/usr/lib64/mvapich2-psm/lib
/usr/lib64/mvapich2-psm/lib/libfmpich.so.10
/usr/lib64/mvapich2-psm/lib/libfmpich.so.10.0.4
/usr/lib64/mvapich2-psm/lib/libmpich.so.10
/usr/lib64/mvapich2-psm/lib/libmpich.so.10.0.4
/usr/lib64/mvapich2-psm/lib/libmpichcxx.so.10
/usr/lib64/mvapich2-psm/lib/libmpichcxx.so.10.0.4
/usr/lib64/mvapich2-psm/lib/libmpichf90.so.10
/usr/lib64/mvapich2-psm/lib/libmpichf90.so.10.0.4
/usr/lib64/mvapich2-psm/lib/libmpl.so.1
/usr/lib64/mvapich2-psm/lib/libmpl.so.1.0.0
/usr/lib64/mvapich2-psm/lib/libopa.so.1
/usr/lib64/mvapich2-psm/lib/libopa.so.1.0.0
/usr/lib64/python2.7/site-packages/mvapich2-psm
/usr/share/man/mvapich2-psm-x86_64
/usr/share/man/mvapich2-psm-x86_64/man1
/usr/share/man/mvapich2-psm-x86_64/man1/mpicc.1.gz
/usr/share/man/mvapich2-psm-x86_64/man1/mpicxx.1.gz
/usr/share/man/mvapich2-psm-x86_64/man1/mpiexec.1.gz
/usr/share/man/mvapich2-psm-x86_64/man1/mpif77.1.gz
/usr/share/man/mvapich2-psm-x86_64/man1/mpif90.1.gz
/usr/share/man/mvapich2-psm-x86_64/man2
/usr/share/man/mvapich2-psm-x86_64/man3
/usr/share/man/mvapich2-psm-x86_64/man4
/usr/share/man/mvapich2-psm-x86_64/man5
/usr/share/man/mvapich2-psm-x86_64/man6
/usr/share/man/mvapich2-psm-x86_64/man7
/usr/share/man/mvapich2-psm-x86_64/man8
/usr/share/man/mvapich2-psm-x86_64/man9
/usr/share/man/mvapich2-psm-x86_64/mann


Generated by rpm2html 1.8.1

Fabrice Bellet, Thu May 9 14:14:21 2024